> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/openapi/orders.md).

# Orders

## Search orders

> Retrieve a list of orders in your online store.

````json
{"openapi":"3.0.3","info":{"title":"Ecwid REST API","version":"0.0.1"},"servers":[{"url":"https://app.ecwid.com/api/v3/{storeId}","description":"Main path for REST API requests","variables":{"storeId":{"description":"Ecwid Store ID","default":"1003"}}}],"security":[{"bearerToken":[]}],"components":{"securitySchemes":{"bearerToken":{"type":"http","scheme":"bearer","bearerFormat":"secret_token"}},"schemas":{"SearchOrdersResponse":{"type":"object","properties":{"total":{"type":"number","description":"Total number of found items (might be more than the number of returned items)."},"count":{"type":"number","description":"Total number of items returned in the response."},"offset":{"type":"number","description":"Offset from the beginning of the returned items list specified in the request."},"limit":{"type":"number","description":"Maximum number of returned items specified in the request. Maximum and default value: `100`."},"items":{"type":"array","description":"Detailed information about returned items.","items":{"$ref":"#/components/schemas/GetOrderResponse"}}}},"GetOrderResponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique order identificator with prefix and suffix defined by the store admin.\\\nFor example, order ID `MYSTORE-X8UYE` contains `MYSTORE-` prefix.\\\nOrder ID is shown to customers in any notifications and to the store owner in Ecwid admin and notifications.\n"},"subtotal":{"type":"number","description":"Cost of all products in the order (item's `price` x `quantity`) before any cost modifiers such as discounts, taxes, fees, etc. are applied."},"subtotalWithoutTax":{"type":"number","description":"Order subtotal without taxes included in price (GROSS) when `pricesIncludeTax` is `true`."},"total":{"type":"number","description":"Order total cost with all cost modifiers: shipping costs, taxes, fees, and discounts."},"totalWithoutTax":{"type":"number","description":"Order total without taxes. Calculates as `total` - `tax`."},"refundedAmount":{"type":"number","description":"Sum of all refunds applied to the order."},"giftCardRedemption":{"type":"number","description":"Amount deducted from the Gift Card balance and applied to order total."},"totalBeforeGiftCardRedemption":{"type":"number","description":"Order total before the Gift Card was applied."},"email":{"type":"string","description":"Customer's email address."},"paymentModule":{"type":"string","description":"Payment processor used to pay for the order online.\\\nOnly available to online payment integrations build by Ecwid team.\n"},"paymentMethod":{"type":"string","description":"Name of the payment method customer chosen at the checkout."},"tax":{"type":"number","description":"Sum of all taxes applied to products and shipping.\\\nIf the order is modified after being placed, this value is not recalculated automatically.\n"},"customerTaxExempt":{"type":"boolean","description":"Defines if the customer is tax exempt. Requires valid tax ID."},"customerTaxId":{"type":"string","description":"Tax ID entered by the customer at the checkout."},"customerTaxIdValid":{"type":"boolean","description":"Defines if customer's tax ID is valid for tax exemption."},"reversedTaxApplied":{"type":"boolean","description":"Defines if order tax was reversed (set to 0). Requires valid tax ID."},"b2b_b2c":{"type":"string","description":"Order type. One of: `b2b` (business-to-business), `b2c` (business-to-consumer)"},"customerRequestedInvoice":{"type":"boolean","description":"Defines if customer requested an invoice."},"customerFiscalCode":{"type":"string","description":"Fiscale code of the customer."},"electronicInvoicePecEmail":{"type":"string","description":"PEC email for order invoices."},"electronicInvoiceSdiCode":{"type":"string","description":"SDI code for order invoices."},"ipAddress":{"type":"string","description":"Customer's IP address detected at the checkout."},"paymentStatus":{"type":"string","description":"Order payment status. See OpenAPI spec for supported values."},"fulfillmentStatus":{"type":"string","description":"Order fulfillment status. See OpenAPI spec for supported values."},"refererUrl":{"type":"string","description":"URL of the page when order was placed without page slugs (hash `#` part)."},"orderComments":{"type":"string","description":"Order comments, left by a customer at the checkout."},"volumeDiscount":{"type":"number","description":"Sum of applied promotions based on subtotal. Included in the `discount` field."},"membershipBasedDiscount":{"type":"number","description":"Sum of applied promotions based on customer group. Included in the `discount` field."},"totalAndMembershipBasedDiscount":{"type":"number","description":"Sum of applied promotions based on both subtotal and customer group. Included in the `discount` field."},"discount":{"type":"number","description":"Total order discount. Includes both promotions and discount coupons.\\\nCalculated as the sum of the `couponDiscount` and `totalAndMembershipBasedDiscount` fields.\n"},"couponDiscount":{"type":"number","description":"Discount value from applied discount coupon.\\\nTotal order discount is the sum of the `couponDiscount` and `discount` fields.\n"},"discountInfo":{"type":"array","description":"Detailed information about applied promotions.","items":{"$ref":"#/components/schemas/OrderDiscountInfoItem"}},"discountCoupon":{"$ref":"#/components/schemas/OrderDiscountCoupon","description":"Detailed information about the discount coupon applied to order."},"customerId":{"type":"number","description":"Unique internal ID assigned to the customer."},"customSurcharges":{"type":"array","description":"Information about surcharges applied to the order.","items":{"$ref":"#/components/schemas/OrderCustomSurcharge"}},"usdTotal":{"type":"number","description":"Order total converted from the store's currency to USD."},"globalReferer":{"type":"string","description":"URL that the customer came to the store from"},"createDate":{"type":"string","description":"The datetime when the order was placed, for example `2014-06-06 18:57:19 +0000`"},"updateDate":{"type":"string","description":"The datetime of the latest order update. This includes all changes made from Ecwid admin or API."},"createTimestamp":{"type":"number","description":"The datetime when the order was placed in UNIX timestamp, for example `1427268654`"},"updateTimestamp":{"type":"number","description":"The datetime of the latest order update in UNIX timestamp. This includes all changes made from Ecwid admin or API."},"customerGroup":{"type":"string","description":"Name of the group the customer belongs to."},"customerGroupId":{"type":"number","description":"ID of the group the customer belongs to."},"items":{"type":"array","description":"Detailed information about products in the order.","items":{"$ref":"#/components/schemas/OrderItem"}},"refunds":{"type":"array","description":"Details about refunds made to order.","items":{"$ref":"#/components/schemas/OrderRefunds"}},"shippingPerson":{"$ref":"#/components/schemas/OrderPerson","description":"Name and shipping address details left by customer at the checkout."},"billingPerson":{"$ref":"#/components/schemas/OrderPerson","description":"Name and billing address details left by customer at the checkout."},"shippingOption":{"$ref":"#/components/schemas/OrderShippingOption","description":"Details about the shipping option customer selected at the checkout."},"handlingFee":{"$ref":"#/components/schemas/OrderHandlingFee","description":"Details about fees applied to order."},"predictedPackages":{"$ref":"#/components/schemas/OrderPredictedPackages","description":"Minimum total dimensions and weight of a single shipping package that will be enough to carry all products added to the order."},"shippingLabelAvailableForShipment":{"type":"boolean","description":"Defines if the store owner can buy a shipping label through Ecwid for the order."},"shipments":{"type":"array","description":"Detailed information about purchased shipping label.","items":{"$ref":"#/components/schemas/OrderShipments"}},"additionalInfo":{"type":"object","description":"Internal order information for Ecwid services."},"paymentParams":{"type":"object","description":"Internal payment parameters for Ecwid services."},"extraFields":{"$ref":"#/components/schemas/OrderExtraFields","description":"Names and values of custom checkout fields applied to the order."},"orderExtraFields":{"type":"array","description":"Additional optional information about the order's extra fields.\\\nAlong with the value of the field, it contains technical information, such as id, type, etc. of the field. Total storage of extra fields cannot exceed 8Kb.\n","items":{"$ref":"#/components/schemas/OrderOrderExtraFields"}},"hidden":{"type":"boolean","description":"Defines if the order is hidden from Ecwid admin. Applies to unsfinished orders only."},"trackingNumber":{"type":"string","description":"Shipping tracking code."},"paymentMessage":{"type":"string","description":"Error message sent by the online payment method. Only appears if a customer had issues with paying for the order online. When order becomes paid, `paymentMessage` is cleared"},"externalTransactionId":{"type":"string","description":"Transaction ID saved to the order details by the payment system. For example, PayPal transaction ID."},"affiliateId":{"type":"string","description":"If a store has several storefronts, this ID is used to track from which one the order came from.\\\nRead more on setting up affiliate IDs in the Help Center.\n"},"creditCardStatus":{"$ref":"#/components/schemas/OrderCreditCardStatus","description":"Saves verification messages if customer paid for the order with a credit card."},"privateAdminNotes":{"type":"string","description":"Private note added to the order by store owner."},"pickupTime":{"type":"string","description":"Order pickup time in the store date format (UTC +0 timezone), for example: `2017-10-17 05:00:00 +0000`"},"taxesOnShipping":{"type":"array","description":"Taxes applied to shipping 'as is'. `null` for old orders, `[]` for orders with taxes applied to subtotal only.\\\nAre not recalculated if order is updated later manually.\\\nIs calculated like: `(shippingRate + handlingFee)*(taxValue/100)`\n","items":{"$ref":"#/components/schemas/OrderTaxesOnShipping"}},"acceptMarketing":{"type":"boolean","description":"Defines if customer has accepted email marketing at the checkout.\\\nIf `true` or `null`, you can use their email for promotions.\n"},"refererId":{"type":"string","description":"Referer identifier. Can be set in storefront via JS or by creating / updating an order with REST API."},"disableAllCustomerNotifications":{"type":"boolean","description":"Defines if the customer should receive any email notifications. This setting does not affect email notifications to the store owner.\\\nOne of:\n- `true` - no notifications are sent to the customer\n- `false` - email notifications are sent to customer according to store mail notification settings\n"},"externalFulfillment":{"type":"boolean","description":"Defines if the order is fulfilled with an external system and should not be managed through Ecwid.\\\nOne of:\n- `true` - Ecwid will hide fulfillment status change feature and ability to set tracking number within Ecwid admin.\n- `false` - store owner can manage order fulfillment within Ecwid admin (default)\n"},"externalOrderId":{"type":"string","description":"Order ID in an external system where order is fulfilled.\\ \nRequires `externalFulfillment` to be `true`.\n"},"invoices":{"type":"array","description":"Tax invoices generated for the order. Read-only","items":{"$ref":"#/components/schemas/OrderInvoice"}},"pricesIncludeTax":{"type":"boolean","description":"Defines if taxes are included to product prices (GROSS or NET prices):\n- `true` - the tax rate is included in product prices (GROSS)\n- `false` - the tax rate is not included in product prices (NET)\n"},"paymentSubtype":{"type":"string","description":"Internal field for Ecwid services."},"utmData":{"type":"array","description":"UTM tags saved for the order.","items":{"$ref":"#/components/schemas/OrderUtmData"}},"utmDataSets":{"type":"array","description":"Detailed information about UTM tags saved for the order. Contains more information than the `utmData` field.","items":{"$ref":"#/components/schemas/OrderUtmDataSets"}},"lang":{"type":"string","description":"Defines a list of available languages or a single language for customer notifications. Must match one of the active store translations.\\\nList of active store languages is available in the `GET /profile request > languages > enabledLanguages` field.\n"},"customerUserAgent":{"type":"string","description":"Details about the customer's device and platform used to place an order based on the User-Agent browser data."},"externalOrderData":{"$ref":"#/components/schemas/OrderExternalOrderData","description":"Details for orders created or managed externally, for example, by other Lightspeed products."}}},"OrderDiscountInfoItem":{"type":"object","properties":{"id":{"type":"number","description":"Unique promotion ID."},"value":{"type":"number","description":"Value of the promotion. Can be a fixed amount or percentage depending on `type`."},"type":{"type":"string","description":"Type of the discount.\\\nOne of: `ABS` - fixed amount, `PERCENT` - percentage.\n"},"base":{"type":"string","description":"Discount base.\\\nOne of: \n- `SUBTOTAL` / 'ON_TOTAL' - Discount is based on order subtotal\n- `ITEM` - Discount is only applied to certain products in the order\n- `SHIPPING` - Discount is only applied to order shipping costs\n- `ON_MEMBERSHIP` - Discount is only applied if customer belongs to a certain customer group\n- `ON_TOTAL_AND_MEMBERSHIP` - Discount is based on both subtotal and customer group\n- `CUSTOM` - Discount is added by an app with a custom logic\n"},"orderTotal":{"type":"number","description":"Total discount amount applied to the order."},"description":{"type":"string","description":"Optional description of the discount."},"appliesToItems":{"type":"array","items":{"type":"object"},"description":"List of items this promotion applies to."},"appliesToOrderItems":{"type":"array","items":{"type":"object"},"description":"List of order item references this promotion applies to."},"triggeredByOrderItems":{"type":"array","items":{"type":"object"},"description":"List of order items that triggered the promotion."}}},"OrderDiscountCoupon":{"type":"object","properties":{"id":{"type":"number","description":"Internal discount coupon ID."},"name":{"type":"string","description":"Name of the discount coupon visible in Ecwid admin."},"code":{"type":"string","description":"Discount coupon code."},"discountType":{"type":"string","description":"Discount type.\\\nOne of: \n- `ABS`\n- `PERCENT`\n- `SHIPPING`\n- `ABS_AND_SHIPPING`\n- `PERCENT_AND_SHIPPING`\n"},"status":{"type":"string","description":"Discount coupon state.\\\nOne of:\n- `ACTIVE`\n- `PAUSED`\n- `EXPIRED`\n- `USEDUP`\n"},"discount":{"type":"number","description":"Discount value applied to the order total."},"launchDate":{"type":"string","description":"The date of coupon launch, for example, `2014-06-06 08:00:00 +0000`."},"expirationDate":{"type":"string","description":"Coupon expiration date, for example, `2014-06-06 08:00:00 +0000`."},"totalLimit":{"type":"number","description":"The minimum order subtotal the coupon applies to."},"usesLimit":{"type":"string","description":"Number of uses limitation: `UNLIMITED`, `ONCEPERCUSTOMER`, `SINGLE`."},"applicationLimit":{"type":"string","description":"Customer-based application limit for discount coupons.\\\nOne of:\n- `UNLIMITED`\n- `NEW_CUSTOMER_ONLY`\n- `REPEAT_CUSTOMER_ONLY`\n"},"creationDate":{"type":"string","description":"Discount coupon creation date."},"updateDate":{"type":"string","description":"Date of the last discount coupon update."},"orderCount":{"type":"number","description":"Amount of orders where the discount coupon was used previously."},"catalogLimit":{"$ref":"#/components/schemas/OrderDiscountCouponCatalogLimit","description":"Products and categories the coupon can be applied to"}}},"OrderDiscountCouponCatalogLimit":{"type":"object","properties":{"products":{"type":"array","items":{"type":"number"},"description":"List of product IDs the coupon can be applied to."},"categories":{"type":"array","items":{"type":"number"},"description":"List of category IDs the coupon can be applied to."}}},"OrderCustomSurcharge":{"type":"object","properties":{"id":{"type":"string","description":"Surcharge ID. If not specified default value: `Custom Surcharge`."},"value":{"type":"number","description":"Surcharge value."},"type":{"type":"string","description":"Surcharges type.\\\nOne of: \n- `PERCENT` - Surcharge applies as a percent from the product price\n- `ABSOLUTE` - Surcharge applies as a flat value\n"},"total":{"type":"number","description":"Total value of the surcharge."},"totalWithoutTax":{"type":"number","description":"Total value of the surcharge without taxes."},"description":{"type":"string","description":"Surcharge description defined by the store owner."},"descriptionTranslated":{"type":"string","description":"Available translations for the surcharge description."},"taxable":{"type":"boolean","description":"Defines if taxes apply to the surcharge."},"taxes":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemTaxes"},"description":"Details about taxes applied to the surcharge."}}},"OrderItemTaxes":{"type":"object","properties":{"name":{"type":"string","description":"Name of the tax visible to customers at the checkout and in order invoices."},"value":{"type":"number","description":"Tax value in percent."},"total":{"type":"number","description":"Tax amount applied to the product."},"taxOnDiscountedSubtotal":{"type":"number","description":"Tax applied to product price (`price`) after all discounts."},"taxOnShipping":{"type":"number","description":"Tax applied to the shipping costs of the product."},"sourceTaxRateId":{"type":"number","description":"Tax rate ID. For manual taxes the value is copied from tax ID, for all other cases the value is `0`."},"sourceTaxRateType":{"type":"string","description":"Type of tax rate.\\\nOne of: `AUTO`, `MANUAL`, `CUSTOM` (if tax is changed via API), `LEGACY`.\n"},"taxType":{"type":"string","description":"Type of detailed tax for USA.\\\nOne of: `STATE`, `COUNTY`, `CITY`, `SPECIAL_DISTRICT`\n"},"taxClassCode":{"type":"string","description":"Tax classification code applied to product."},"taxClassName":{"type":"string","description":"Name of the tax classification code applied to product. Available only in English."}}},"OrderItem":{"type":"object","properties":{"id":{"type":"number","description":"Order item ID unique for this order. Can be used to manage ordered items."},"productId":{"type":"number","description":"Internal product ID. Can be used to find full product details with the GET /products request."},"subscriptionId":{"type":"number","description":"ID of the subscription available at Ecwid admin > My Sales > Subscriptions."},"recurringChargeSettings":{"$ref":"#/components/schemas/OrderItemRecurringChargeSettings","description":"Details about subscription charge intervals."},"categoryId":{"type":"number","description":"ID of the category this product belongs to or was added from.\\\nReturns `-1` if the product was added to the cart via the Buy Now button.\n"},"price":{"type":"number","description":"Price of product in the order with all price modifier applied."},"priceWithoutTax":{"type":"number","description":"Price of product in the order without taxes."},"productPrice":{"type":"number","description":"Basic product price without any modifiers: options markups, discounts, taxes, fees."},"costPrice":{"type":"number","description":"Purchase price of the product in the specific order used for reports and profit calculations."},"weight":{"type":"number","description":"Weight of the product."},"sku":{"type":"string","description":"Product SKU. If the chosen options match a variation, this will be a variation SKU."},"quantity":{"type":"number","description":"Quantity of the product in the order."},"shortDescription":{"type":"string","description":"Product description truncated to 120 characters."},"shortDescriptionTranslated":{"$ref":"#/components/schemas/Translations","description":"Available translations for product short description."},"tax":{"type":"number","description":"Total tax applied to the product."},"shipping":{"type":"number","description":"Partial shipping costs specific to the product."},"quantityInStock":{"type":"number","description":"Number of products in stock in the store before placing the order."},"name":{"type":"string","description":"Name of the product."},"nameTranslated":{"$ref":"#/components/schemas/Translations","description":"Available translations for the product name."},"isShippingRequired":{"type":"boolean","description":"Defines if the product requires shipping."},"trackQuantity":{"type":"boolean","description":"Defines if low stock notifications to the store owner are enabled."},"imageUrl":{"type":"string","description":"Link to the main product image."},"fixedShippingRateOnly":{"type":"boolean","description":"Defines if the product has a unique fixed shipping rate.\\\nIf `true`, shipping costs won't calculate for the product and `fixedShippingRate` value will be used instead.\n"},"fixedShippingRate":{"type":"number","description":"Fixed shipping costs for the product.\\\nAffects shipping costs only if `fixedShippingRateOnly` is `true`.\n"},"couponApplied":{"type":"boolean","description":"Defines if the product has a discount coupon applied."},"selectedOptions":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemSelectedOptions"},"description":"Product options values selected by the customer at the checkout."},"taxes":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemTaxes"},"description":"Detailed information about taxes applied to the product in this order."},"combinationId":{"type":"number","description":"ID of a product variation whos options mathes with values chosen by the customer at the checkout."},"digital":{"type":"boolean","description":"Defines if the product has any downloadable files attached."},"files":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemFile"},"description":"Details about downloadable files attached to the product."},"dimensions":{"$ref":"#/components/schemas/OrderItemDimensions","description":"Details about product dimensions used for shipping costs calculations."},"couponAmount":{"type":"number","description":"Discount applied to the product from discount coupon.\\\nIf the order is manually updated after being placed, this field is not recalculated automatically.\n"},"discounts":{"type":"array","items":{"$ref":"#/components/schemas/OrderDiscounts"},"description":"Promotions applied to the specific product in the order."},"taxesOnShipping":{"type":"array","items":{"$ref":"#/components/schemas/OrderTaxesOnShipping"},"description":"Taxes applied to shipping costs for the product with the calculation formula of: `(shippingRate + handlingFee)*(taxValue/100)`\\\nIf the order is manually updated after being placed, this field is not recalculated automatically.\n"},"isCustomerSetPrice":{"type":"boolean","description":"If `true`, customer set a custom product price using the \"Pay What You Want\" feature.\\\nIn this case, both the product `price` and `selectedPrice.value` fields contain the price set by a customer.\\\nIf `false`, customer didn't choose the custom price. Therefore, the `selectedPrice.value` field will be absent and the `price` field contains default product price set by the store owner.\n"},"selectedPrice":{"type":"object","properties":{"value":{"type":"number","description":"If `isCustomerSetPrice` is `true`, this field contains the \"Pay What You Want\" price set by a customer at the checkout.\\\nExample with the PWYW price set to 100: `\"selectedPrice\": { \"value\": 100 }`\n"}}},"isPreorder":{"type":"boolean","description":"Defines if the product was pre-ordered in this order."},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemAttributes"},"description":"Details about product attributes."}}},"OrderItemRecurringChargeSettings":{"type":"object","properties":{"recurringInterval":{"type":"string","description":"Subscription charge interval.\\\nOne of: `day`, `week`, `month`, `year`.\n"},"recurringIntervalCount":{"type":"number","description":"Charge interval count that depends on the `recurringInterval`.\\\nFor example `3` - once per 3 months, if `recurringInterval` is `month.`\n"},"subscriptionPriceWithSignUpFee":{"type":"number","description":"Total product cost including the first subscription payment."},"signUpFee":{"type":"number","description":"Fees imposed on the first payment."}}},"Translations":{"type":"object","additionalProperties":{"type":"string"},"description":"Object with text field translations in the \"lang\": \"text\" format, where the \"lang\" is an ISO 639-1 language code.\\\nExample:\n```json\n{\n  \"en\": \"Sample text\",\n  \"nl\": \"Voorbeeldtekst\"\n}\n```\nTranslations are available for all active store languages. Only the default language translations are returned if no others are provided.\n"},"OrderItemSelectedOptions":{"type":"object","properties":{"name":{"type":"string","description":"Name of the product option."},"nameTranslated":{"$ref":"#/components/schemas/Translations"},"type":{"type":"string","description":"Type of the product option that defines its functionality.\\\nOne of:\n- `CHOICE` - Dropdown, radio button, or size (only one value)\n- `CHOICES` - Checkbox (multiple values)\n- `TEXT` - Text input or area\n- `DATE` - Datetime selector\n- `FILES` - Upload file option\n"},"value":{"type":"string","description":"Selected/entered value for the option as `string`.\\\nFor `CHOICES` type, provides a string with all selected values separated by a comma.\n"},"valueTranslated":{"$ref":"#/components/schemas/Translations"},"valuesArray":{"type":"array","items":{"type":"string"},"description":"Selected/entered value for the option as `array`.\\\nFor the `CHOICES` type, provides an array with all selected values.\n"},"valuesArrayTranslated":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Translations for valuesArray."},"files":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemSelectedOptionsFiles"},"description":"Detailed information about files attached to the selected option.\nAvailable only if the option type is `FILES.`\n"},"selections":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemSelectedOptionsSelections"},"description":"Details of selected product options.\\\nIf sent in \"Update order\" request, other fields will be recalculated based on information from `selections`.\n"},"hexCodes":{"type":"array","items":{"type":"string"},"description":"List of HEX codes.\\\nDefines what color must be displayed when user changes color in the `SWATCHES` option, for example: `[#fff000]`.\\\nRequires `useImageAsSwatchSelector` to be `true`.\n"}}},"OrderItemSelectedOptionsFiles":{"type":"object","properties":{"id":{"type":"number","description":"ID of the file uploaded through `FILES` type option."},"name":{"type":"string","description":"Name of the file uploaded through `FILES` type option."},"size":{"type":"number","description":"Size (in bytes) of the file uploaded through `FILES` type option."},"url":{"type":"string","description":"Download link of the file uploaded through `FILES` type option."}}},"OrderItemSelectedOptionsSelections":{"type":"object","properties":{"selectionTitle":{"type":"string","description":"Name of the selected option value."},"selectionModifier":{"type":"number","description":"Price modifier of the selected option value.\\\nValue can be negative, for example, `-10` if it decreases the product price.\n"},"selectionModifierType":{"type":"string","description":"Price modifier type.\\\nOne of: \n- `PERCENT` - Price modifier applies as a percent from the product price\n- `ABSOLUTE` - Price modifier applies as a flat value\n"}}},"OrderItemFile":{"type":"object","properties":{"productFileId":{"type":"number","description":"Internal unique file ID."},"maxDownloads":{"type":"number","description":"Maximum number of allowed file downloads.\\\nRead more on digital products in [Help Center](https://support.ecwid.com/hc/en-us/articles/207100559-Digital-products).\n"},"remainingDownloads":{"type":"number","description":"Remaining number of download attempts for the file."},"expire":{"type":"string","description":"Date/time of the customer download link expiration."},"name":{"type":"string","description":"File name visible to the customer."},"description":{"type":"string","description":"File description visible to the customer."},"size":{"type":"number","description":"File size in bytes (64-bit integer)."},"adminUrl":{"type":"string","description":"Link to the file download for the store owner.\\\n**Keep caution**: the link contains the API access token. Never share it and do not display the link in publically available code.\n"},"customerUrl":{"type":"string","description":"File download link sent to the customer after the order was paid."}}},"OrderItemDimensions":{"type":"object","properties":{"length":{"type":"number","description":"Length of a product"},"width":{"type":"number","description":"Width of a product"},"height":{"type":"number","description":"Height of a product"}}},"OrderDiscounts":{"type":"object","properties":{"discountInfo":{"$ref":"#/components/schemas/OrderDiscountInfoItem"},"total":{"type":"number","description":"Total reduction in price from this discount."}}},"OrderTaxesOnShipping":{"type":"object","properties":{"name":{"type":"string","description":"Name of the tax applied to shipping costs."},"value":{"type":"number","description":"Value of the tax applied to shipping costs."},"total":{"type":"number","description":"Total of taxes applied to shipping costs."}}},"OrderItemAttributes":{"type":"object","properties":{"name":{"type":"string","description":"Name of the product attribute."},"value":{"type":"string","description":"Attribute value."}}},"OrderRefunds":{"type":"object","properties":{"date":{"type":"string","description":"The datetime of a refund, for example, `2014-06-06 18:57:19 +0000`"},"source":{"type":"string","description":"What action triggered refund.\\\nOne of:\n- `CP` - changed by the store owner in Ecwid admin\n- `API` - changed by an app through API\n- `External` - refund made from payment processor website\n"},"reason":{"type":"string","description":"A text reason for a refund. 256 characters max."},"amount":{"type":"number","description":"Amount of this specific refund (not total amount refunded for order. see `redundedAmount` field)"}}},"OrderPerson":{"type":"object","properties":{"name":{"type":"string","description":"Full name of the customer."},"companyName":{"type":"string","description":"Customer's company name."},"street":{"type":"string","description":"Address line 1 and address line 2, separated by `\\n`."},"city":{"type":"string","description":"City."},"countryCode":{"type":"string","description":"Two-letter country code."},"countryName":{"type":"string","description":"Country name."},"postalCode":{"type":"string","description":"Postal/ZIP code."},"stateOrProvinceCode":{"type":"string","description":"State/province code, for example, `NY`."},"stateOrProvinceName":{"type":"string","description":"State/province name."},"phone":{"type":"string","description":"Customer's phone number."}}},"OrderShippingOption":{"type":"object","properties":{"shippingCarrierName":{"type":"string","description":"If an order is fulfilled with a native shipping carrier integration or a shipping app, this field holds carrier's name."},"shippingMethodName":{"type":"string","description":"Name of the shipping option visible at the checkout."},"shippingMethodId":{"type":"string","description":"Internal shipping method ID."},"shippingRate":{"type":"number","description":"Shipping rate for the order."},"shippingRateWithoutTax":{"type":"number","description":"Shipping rate without taxes."},"estimatedTransitTime":{"oneOf":[{"type":"number"},{"type":"string"}],"description":"Delivery time estimation.\\\nDepending on the store settings it can be a number, for example, `5` or a string – `4-9 days`.\\\nThe string value is equal to the `description` field in the `Get shipping options` request.\n"},"isPickup":{"type":"boolean","description":"Defines if this is a store pickup method."},"pickupInstruction":{"type":"string","description":"Instructions for customer on how to pickup the order."},"fulfillmentType":{"type":"string","description":"Shipping type.\\\nOne of:\n- `shipping`\n- `pickup`\n- `deliver`\n"},"timeSlotLengthInMinutes":{"type":"number","description":"Length of the delivery time slot in minutes."}}},"OrderHandlingFee":{"type":"object","properties":{"name":{"type":"string","description":"Handling fee name set by store admin, for example, `Wrapping`."},"value":{"type":"number","description":"Handling fee flat value."},"description":{"type":"string","description":"Handling fee's description for customers."}}},"OrderPredictedPackages":{"type":"object","properties":{"height":{"type":"number","description":"Height of a predicted package."},"width":{"type":"number","description":"Width of a predicted package."},"length":{"type":"number","description":"Length of a predicted package."},"weight":{"type":"number","description":"Total weight of a predicted package."},"declaredValue":{"type":"number","description":"Declared value of a predicted package (subtotal of items in package)."}}},"OrderShipments":{"type":"object","properties":{"id":{"type":"string","description":"ID of the purchased shipping label."},"created":{"type":"string","format":"date-time","description":"The date/time of shipping label purchase, for example, `2020-04-23 19:13:43 +0000`."},"shipTo":{"$ref":"#/components/schemas/OrderPerson","description":"Name and address of the person entered in shipping information."},"shipFrom":{"$ref":"#/components/schemas/OrderPerson","description":"Shipping origin address. If matches company address, company address is returned."},"parcel":{"$ref":"#/components/schemas/OrderShipmentsParcel","description":"Information about the selected package to ship items to customer."},"shippingService":{"$ref":"#/components/schemas/OrderShipmentsShippingService","description":"Selected shipping service."},"tracking":{"$ref":"#/components/schemas/OrderShipmentsTracking","description":"Tracking details provided by shipping service."},"shippingLabel":{"$ref":"#/components/schemas/OrderShipmentsShippingLabel","description":"Shipping label details."}}},"OrderShipmentsParcel":{"type":"object","properties":{"weight":{"type":"number","description":"Total weight of the labeled package."},"weightUnit":{"type":"string","description":"Weight unit of the package.\\\nOne of: `CARAT`, `GRAM`, `OUNCE`, `POUND`, `KILOGRAM`.\n"},"width":{"type":"number","description":"Width of the labeled package."},"height":{"type":"number","description":"Height of the labeled package."},"length":{"type":"number","description":"Length of the labeled package."},"dimensionUnit":{"type":"string","description":"Dimension unit of the package.\\\nOne of: `MM`, `CM`, `IN`, `YD`\n"}}},"OrderShipmentsShippingService":{"type":"object","properties":{"carrier":{"type":"string","description":"Carrier used for shipping the order. Available only for integrations built by Ecwid team.\\\nOne of: `USPS`, `UPS`, `FEDEX`, `CANADA_POST`, `AUSTRALIA_POST`.\n"},"carrierName":{"type":"string","description":"Name of shipping option in store settings."},"carrierServiceName":{"type":"string","description":"Specific carrier's name visible at the checkout."},"carrierServiceCode":{"type":"string","description":"Internal carrier code."}}},"OrderShipmentsTracking":{"type":"object","properties":{"tracking_number":{"type":"string","description":"Tracking number provided by the shipping service."},"tracking_url":{"type":"string","description":"Link to the delivery tracking page."},"estimatedDays":{"type":"number","description":"Estimated delivery time in days."}}},"OrderShipmentsShippingLabel":{"type":"object","properties":{"label_url":{"type":"string","description":"Link for download shipping label."}}},"OrderExtraFields":{"type":"object","additionalProperties":{"type":"string"},"description":"Key-value map of custom extra fields submitted during checkout.  Keys are field IDs and values are submitted strings/selected choices.\n"},"OrderOrderExtraFields":{"type":"object","properties":{"id":{"type":"string","description":"Internal ID defined for the checkout extra field."},"value":{"type":"string","description":"Extra field value. Length cannot exceed 255 characters."},"customerInputType":{"type":"string","description":"One of: `TEXT`, `SELECT`, `DATETIME`."},"title":{"type":"string","description":"Extra field title visible at the checkout."},"orderDetailsDisplaySection":{"type":"string","description":"Defines a place where the field is visible to the store admin on the order details page. Empty if the field is hidden.\\\nOne of:\n- `shipping_info`\n- `billing_info`\n- `customer_info`\n- `order_comments`\n"},"orderBy":{"type":"string","description":"Extra field position. Use it to sort fields within the same `orderDetailsDisplaySection`"}}},"OrderCreditCardStatus":{"type":"object","properties":{"avsMessage":{"type":"string","description":"Address verification status returned by the payment system."},"cvvMessage":{"type":"string","description":"Credit card verification status returned by the payment system."}}},"OrderInvoice":{"type":"object","properties":{"internalId":{"type":"number","description":"Internal ID of the order invoice."},"id":{"type":"string","description":"Public ID showed in the invoice."},"created":{"type":"string","description":"Datetime of invoice creation in UTC +0."},"link":{"type":"string","description":"Download link for the invoice in PDF format."},"type":{"type":"string","description":"Invoice type.\\ \nOne of: `SALE` (regular invoice), `FULL_CANCEL` (full refund invoice).\n"}}},"OrderUtmData":{"type":"object","properties":{"source":{"type":"string","description":"Traffic source that indicates where the customer come from."},"campaign":{"type":"string","description":"Saves the name of the advertising campaign if there is one."},"medium":{"type":"string","description":"Type of traffic that indicates customers reach the website."}}},"OrderUtmDataSets":{"type":"object","properties":{"timestamp":{"type":"string","description":"Datetime of saving UTM data into the local browser storage."},"source":{"type":"string","description":"Traffic source that indicates where the customer come from."},"campaign":{"type":"string","description":"Saves the name of the advertising campaign if there is one."},"medium":{"type":"string","description":"Type of traffic that indicates customers reach the website."}}},"OrderExternalOrderData":{"type":"object","properties":{"externalOrderId":{"type":"string","description":"Order ID from the external platform."},"externalFulfillment":{"type":"boolean","description":"Defines if the order uses external fulfillment."},"refererChannel":{"type":"string","description":"Channel where the order is referred from."},"refererId":{"type":"string","description":"Unique referrer ID for the order."},"platformSpecificFields":{"type":"string","description":"Stringified map with external fields in the \"key:value\" format."}}}}},"paths":{"/orders":{"get":{"summary":"Search orders","description":"Retrieve a list of orders in your online store.","parameters":[{"in":"query","name":"ids","schema":{"type":"string"},"description":"List of order identifiers. Works with order ID, internal order ID, order prefixes, and suffixes.\\\nSupports multiple values, for example: `EG4H2,J77J8,SALE-G01ZG`\n"},{"in":"query","name":"offset","schema":{"type":"number"},"description":"Offset from the beginning of the returned items list. Used when the response contains more items than `limit` allows to receive in one request.\\\nUsually used to receive all items in several requests with multiple of a hundred, for example:\n- `?offset=0` for the first request,\n- `?offset=100`, for the second request,\n- `?offset=200`, for the third request, etc.\n"},{"in":"query","name":"limit","schema":{"type":"number"},"description":"Limit to the number of returned items. Maximum and default value (if not specified) is `100`.\n"},{"in":"query","name":"keywords","schema":{"type":"string"},"description":"Search term that supports: order ID, external transaction ID, billing and shipping address, customer email, shipping tracking code, item SKUs, names, selected options, and private admin notes.\\\nAny special characters must be URI-encoded.\n"},{"in":"query","name":"email","schema":{"type":"string"},"description":"Search term for customer email."},{"in":"query","name":"customerId","schema":{"type":"number"},"description":"Search term for customer's internal ID."},{"in":"query","name":"productId","schema":{"type":"string"},"description":"Search term for IDs of products in order. Supports multiple values separated by comma, for example: `10031004,86427531`.\n"},{"in":"query","name":"totalFrom","schema":{"type":"number"},"description":"Search term for minimum order total."},{"in":"query","name":"totalTo","schema":{"type":"number"},"description":"Search term for maximum order total."},{"in":"query","name":"createdFrom","schema":{"type":"string"},"description":"Order placement datetime (lower bound). Supported formats: UNIX timestamp, date/time. Examples: `1447804800`, `2023-01-15 19:27:50`\n"},{"in":"query","name":"createdTo","schema":{"type":"string"},"description":"Order placement datetime (upper bound). Supported formats: UNIX timestamp, date/time. Examples: `1447804800`, `2023-01-15 21:30:00`\n"},{"in":"query","name":"updatedFrom","schema":{"type":"string"},"description":"Order latest update datetime (lower bound). Supported formats: UNIX timestamp, date/time. Examples: `1447804800`, `2023-01-15 19:27:50`\n"},{"in":"query","name":"updatedTo","schema":{"type":"string"},"description":"Order latest update date/time (upper bound). Supported formats: UNIX timestamp, date/time. Examples: `1447804800`, `2023-01-15 21:30:00`\n"},{"in":"query","name":"pickupTimeFrom","schema":{"type":"string"},"description":"Order pickup datetime (lower bound). Supported formats: UNIX timestamp, date/time. Examples: `1447804800`, `2023-01-15 19:27:50`\n"},{"in":"query","name":"pickupTimeTo","schema":{"type":"string"},"description":"Order pickup datetime (upper bound). Supported formats: UNIX timestamp, date/time. Examples: `1447804800`, `2023-01-15 21:30:00`\n"},{"in":"query","name":"shippingMethod","schema":{"type":"string"},"description":"Search term for the shipping method name selected on the checkout."},{"in":"query","name":"fulfillmentStatus","schema":{"type":"string"},"description":"Order shipping status. Supports multiple values separated by a comma.\\\nSupported values:\n- `AWAITING_PROCESSING`\n- `PROCESSING`\n- `SHIPPED`\n- `DELIVERED`\n- `WILL_NOT_DELIVER`\n- `RETURNED`\n- `READY_FOR_PICKUP`\n- `OUT_FOR_DELIVERY`\n- `CUSTOM_FULFILLMENT_STATUS_1`\n- `CUSTOM_FULFILLMENT_STATUS_2`\n- `CUSTOM_FULFILLMENT_STATUS_3`\n"},{"in":"query","name":"paymentMethod","schema":{"type":"string"},"description":"Search term for the payment method name selected on the checkout."},{"in":"query","name":"paymentModule","schema":{"type":"string"},"description":"Search term for the payment module selected on the checkout.\\\nPayment module contains the name of the internal payment app (built by Ecwid dev team) or a custom one in the `\"paymentModule\":\"CUSTOM_PAYMENT_APP-client_id\"` format.\n"},{"in":"query","name":"paymentStatus","schema":{"type":"string"},"description":"Order payment status. Supports multiple values separated by a comma.\\\nSupported values:\n- `AWAITING_PAYMENT`\n- `PAID`\n- `CANCELLED`\n- `REFUNDED`\n- `PARTIALLY_REFUNDED`\n- `INCOMPLETE`\n- `CUSTOM_PAYMENT_STATUS_1`\n- `CUSTOM_PAYMENT_STATUS_2`\n- `CUSTOM_PAYMENT_STATUS_3`\n"},{"in":"query","name":"acceptMarketing","schema":{"type":"boolean"},"description":"Set `true` to find orders where customer has accepted email marketing."},{"in":"query","name":"containsPreorderItems","schema":{"type":"boolean"},"description":"Set `true` to find orders with pre-order products (out-of-stock products available to purchase)."},{"in":"query","name":"couponCode","schema":{"type":"string"},"description":"Search term for discount coupon `code` applied to the order."},{"in":"query","name":"subscriptionId","schema":{"type":"number"},"description":"Search term for ID of subscription assigned to the order."},{"in":"query","name":"refererId","schema":{"type":"number"},"description":"Search term for ID of order referer."},{"in":"query","name":"responseFields","schema":{"type":"string"},"description":"Specify the exact fields to receive in response JSON. If not specified, the response JSON will have all available fields for the entity.\\\nFor example: `?responseFields=total,items(id,email,total)`\n"}],"responses":{"200":{"description":"Successful response with orders","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchOrdersResponse"}}}}}}}}}
````

## Get order

> Retrieve detailed information about a specific order by its ID.

````json
{"openapi":"3.0.3","info":{"title":"Ecwid REST API","version":"0.0.1"},"servers":[{"url":"https://app.ecwid.com/api/v3/{storeId}","description":"Main path for REST API requests","variables":{"storeId":{"description":"Ecwid Store ID","default":"1003"}}}],"security":[{"bearerToken":[]}],"components":{"securitySchemes":{"bearerToken":{"type":"http","scheme":"bearer","bearerFormat":"secret_token"}},"schemas":{"GetOrderResponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique order identificator with prefix and suffix defined by the store admin.\\\nFor example, order ID `MYSTORE-X8UYE` contains `MYSTORE-` prefix.\\\nOrder ID is shown to customers in any notifications and to the store owner in Ecwid admin and notifications.\n"},"subtotal":{"type":"number","description":"Cost of all products in the order (item's `price` x `quantity`) before any cost modifiers such as discounts, taxes, fees, etc. are applied."},"subtotalWithoutTax":{"type":"number","description":"Order subtotal without taxes included in price (GROSS) when `pricesIncludeTax` is `true`."},"total":{"type":"number","description":"Order total cost with all cost modifiers: shipping costs, taxes, fees, and discounts."},"totalWithoutTax":{"type":"number","description":"Order total without taxes. Calculates as `total` - `tax`."},"refundedAmount":{"type":"number","description":"Sum of all refunds applied to the order."},"giftCardRedemption":{"type":"number","description":"Amount deducted from the Gift Card balance and applied to order total."},"totalBeforeGiftCardRedemption":{"type":"number","description":"Order total before the Gift Card was applied."},"email":{"type":"string","description":"Customer's email address."},"paymentModule":{"type":"string","description":"Payment processor used to pay for the order online.\\\nOnly available to online payment integrations build by Ecwid team.\n"},"paymentMethod":{"type":"string","description":"Name of the payment method customer chosen at the checkout."},"tax":{"type":"number","description":"Sum of all taxes applied to products and shipping.\\\nIf the order is modified after being placed, this value is not recalculated automatically.\n"},"customerTaxExempt":{"type":"boolean","description":"Defines if the customer is tax exempt. Requires valid tax ID."},"customerTaxId":{"type":"string","description":"Tax ID entered by the customer at the checkout."},"customerTaxIdValid":{"type":"boolean","description":"Defines if customer's tax ID is valid for tax exemption."},"reversedTaxApplied":{"type":"boolean","description":"Defines if order tax was reversed (set to 0). Requires valid tax ID."},"b2b_b2c":{"type":"string","description":"Order type. One of: `b2b` (business-to-business), `b2c` (business-to-consumer)"},"customerRequestedInvoice":{"type":"boolean","description":"Defines if customer requested an invoice."},"customerFiscalCode":{"type":"string","description":"Fiscale code of the customer."},"electronicInvoicePecEmail":{"type":"string","description":"PEC email for order invoices."},"electronicInvoiceSdiCode":{"type":"string","description":"SDI code for order invoices."},"ipAddress":{"type":"string","description":"Customer's IP address detected at the checkout."},"paymentStatus":{"type":"string","description":"Order payment status. See OpenAPI spec for supported values."},"fulfillmentStatus":{"type":"string","description":"Order fulfillment status. See OpenAPI spec for supported values."},"refererUrl":{"type":"string","description":"URL of the page when order was placed without page slugs (hash `#` part)."},"orderComments":{"type":"string","description":"Order comments, left by a customer at the checkout."},"volumeDiscount":{"type":"number","description":"Sum of applied promotions based on subtotal. Included in the `discount` field."},"membershipBasedDiscount":{"type":"number","description":"Sum of applied promotions based on customer group. Included in the `discount` field."},"totalAndMembershipBasedDiscount":{"type":"number","description":"Sum of applied promotions based on both subtotal and customer group. Included in the `discount` field."},"discount":{"type":"number","description":"Total order discount. Includes both promotions and discount coupons.\\\nCalculated as the sum of the `couponDiscount` and `totalAndMembershipBasedDiscount` fields.\n"},"couponDiscount":{"type":"number","description":"Discount value from applied discount coupon.\\\nTotal order discount is the sum of the `couponDiscount` and `discount` fields.\n"},"discountInfo":{"type":"array","description":"Detailed information about applied promotions.","items":{"$ref":"#/components/schemas/OrderDiscountInfoItem"}},"discountCoupon":{"$ref":"#/components/schemas/OrderDiscountCoupon","description":"Detailed information about the discount coupon applied to order."},"customerId":{"type":"number","description":"Unique internal ID assigned to the customer."},"customSurcharges":{"type":"array","description":"Information about surcharges applied to the order.","items":{"$ref":"#/components/schemas/OrderCustomSurcharge"}},"usdTotal":{"type":"number","description":"Order total converted from the store's currency to USD."},"globalReferer":{"type":"string","description":"URL that the customer came to the store from"},"createDate":{"type":"string","description":"The datetime when the order was placed, for example `2014-06-06 18:57:19 +0000`"},"updateDate":{"type":"string","description":"The datetime of the latest order update. This includes all changes made from Ecwid admin or API."},"createTimestamp":{"type":"number","description":"The datetime when the order was placed in UNIX timestamp, for example `1427268654`"},"updateTimestamp":{"type":"number","description":"The datetime of the latest order update in UNIX timestamp. This includes all changes made from Ecwid admin or API."},"customerGroup":{"type":"string","description":"Name of the group the customer belongs to."},"customerGroupId":{"type":"number","description":"ID of the group the customer belongs to."},"items":{"type":"array","description":"Detailed information about products in the order.","items":{"$ref":"#/components/schemas/OrderItem"}},"refunds":{"type":"array","description":"Details about refunds made to order.","items":{"$ref":"#/components/schemas/OrderRefunds"}},"shippingPerson":{"$ref":"#/components/schemas/OrderPerson","description":"Name and shipping address details left by customer at the checkout."},"billingPerson":{"$ref":"#/components/schemas/OrderPerson","description":"Name and billing address details left by customer at the checkout."},"shippingOption":{"$ref":"#/components/schemas/OrderShippingOption","description":"Details about the shipping option customer selected at the checkout."},"handlingFee":{"$ref":"#/components/schemas/OrderHandlingFee","description":"Details about fees applied to order."},"predictedPackages":{"$ref":"#/components/schemas/OrderPredictedPackages","description":"Minimum total dimensions and weight of a single shipping package that will be enough to carry all products added to the order."},"shippingLabelAvailableForShipment":{"type":"boolean","description":"Defines if the store owner can buy a shipping label through Ecwid for the order."},"shipments":{"type":"array","description":"Detailed information about purchased shipping label.","items":{"$ref":"#/components/schemas/OrderShipments"}},"additionalInfo":{"type":"object","description":"Internal order information for Ecwid services."},"paymentParams":{"type":"object","description":"Internal payment parameters for Ecwid services."},"extraFields":{"$ref":"#/components/schemas/OrderExtraFields","description":"Names and values of custom checkout fields applied to the order."},"orderExtraFields":{"type":"array","description":"Additional optional information about the order's extra fields.\\\nAlong with the value of the field, it contains technical information, such as id, type, etc. of the field. Total storage of extra fields cannot exceed 8Kb.\n","items":{"$ref":"#/components/schemas/OrderOrderExtraFields"}},"hidden":{"type":"boolean","description":"Defines if the order is hidden from Ecwid admin. Applies to unsfinished orders only."},"trackingNumber":{"type":"string","description":"Shipping tracking code."},"paymentMessage":{"type":"string","description":"Error message sent by the online payment method. Only appears if a customer had issues with paying for the order online. When order becomes paid, `paymentMessage` is cleared"},"externalTransactionId":{"type":"string","description":"Transaction ID saved to the order details by the payment system. For example, PayPal transaction ID."},"affiliateId":{"type":"string","description":"If a store has several storefronts, this ID is used to track from which one the order came from.\\\nRead more on setting up affiliate IDs in the Help Center.\n"},"creditCardStatus":{"$ref":"#/components/schemas/OrderCreditCardStatus","description":"Saves verification messages if customer paid for the order with a credit card."},"privateAdminNotes":{"type":"string","description":"Private note added to the order by store owner."},"pickupTime":{"type":"string","description":"Order pickup time in the store date format (UTC +0 timezone), for example: `2017-10-17 05:00:00 +0000`"},"taxesOnShipping":{"type":"array","description":"Taxes applied to shipping 'as is'. `null` for old orders, `[]` for orders with taxes applied to subtotal only.\\\nAre not recalculated if order is updated later manually.\\\nIs calculated like: `(shippingRate + handlingFee)*(taxValue/100)`\n","items":{"$ref":"#/components/schemas/OrderTaxesOnShipping"}},"acceptMarketing":{"type":"boolean","description":"Defines if customer has accepted email marketing at the checkout.\\\nIf `true` or `null`, you can use their email for promotions.\n"},"refererId":{"type":"string","description":"Referer identifier. Can be set in storefront via JS or by creating / updating an order with REST API."},"disableAllCustomerNotifications":{"type":"boolean","description":"Defines if the customer should receive any email notifications. This setting does not affect email notifications to the store owner.\\\nOne of:\n- `true` - no notifications are sent to the customer\n- `false` - email notifications are sent to customer according to store mail notification settings\n"},"externalFulfillment":{"type":"boolean","description":"Defines if the order is fulfilled with an external system and should not be managed through Ecwid.\\\nOne of:\n- `true` - Ecwid will hide fulfillment status change feature and ability to set tracking number within Ecwid admin.\n- `false` - store owner can manage order fulfillment within Ecwid admin (default)\n"},"externalOrderId":{"type":"string","description":"Order ID in an external system where order is fulfilled.\\ \nRequires `externalFulfillment` to be `true`.\n"},"invoices":{"type":"array","description":"Tax invoices generated for the order. Read-only","items":{"$ref":"#/components/schemas/OrderInvoice"}},"pricesIncludeTax":{"type":"boolean","description":"Defines if taxes are included to product prices (GROSS or NET prices):\n- `true` - the tax rate is included in product prices (GROSS)\n- `false` - the tax rate is not included in product prices (NET)\n"},"paymentSubtype":{"type":"string","description":"Internal field for Ecwid services."},"utmData":{"type":"array","description":"UTM tags saved for the order.","items":{"$ref":"#/components/schemas/OrderUtmData"}},"utmDataSets":{"type":"array","description":"Detailed information about UTM tags saved for the order. Contains more information than the `utmData` field.","items":{"$ref":"#/components/schemas/OrderUtmDataSets"}},"lang":{"type":"string","description":"Defines a list of available languages or a single language for customer notifications. Must match one of the active store translations.\\\nList of active store languages is available in the `GET /profile request > languages > enabledLanguages` field.\n"},"customerUserAgent":{"type":"string","description":"Details about the customer's device and platform used to place an order based on the User-Agent browser data."},"externalOrderData":{"$ref":"#/components/schemas/OrderExternalOrderData","description":"Details for orders created or managed externally, for example, by other Lightspeed products."}}},"OrderDiscountInfoItem":{"type":"object","properties":{"id":{"type":"number","description":"Unique promotion ID."},"value":{"type":"number","description":"Value of the promotion. Can be a fixed amount or percentage depending on `type`."},"type":{"type":"string","description":"Type of the discount.\\\nOne of: `ABS` - fixed amount, `PERCENT` - percentage.\n"},"base":{"type":"string","description":"Discount base.\\\nOne of: \n- `SUBTOTAL` / 'ON_TOTAL' - Discount is based on order subtotal\n- `ITEM` - Discount is only applied to certain products in the order\n- `SHIPPING` - Discount is only applied to order shipping costs\n- `ON_MEMBERSHIP` - Discount is only applied if customer belongs to a certain customer group\n- `ON_TOTAL_AND_MEMBERSHIP` - Discount is based on both subtotal and customer group\n- `CUSTOM` - Discount is added by an app with a custom logic\n"},"orderTotal":{"type":"number","description":"Total discount amount applied to the order."},"description":{"type":"string","description":"Optional description of the discount."},"appliesToItems":{"type":"array","items":{"type":"object"},"description":"List of items this promotion applies to."},"appliesToOrderItems":{"type":"array","items":{"type":"object"},"description":"List of order item references this promotion applies to."},"triggeredByOrderItems":{"type":"array","items":{"type":"object"},"description":"List of order items that triggered the promotion."}}},"OrderDiscountCoupon":{"type":"object","properties":{"id":{"type":"number","description":"Internal discount coupon ID."},"name":{"type":"string","description":"Name of the discount coupon visible in Ecwid admin."},"code":{"type":"string","description":"Discount coupon code."},"discountType":{"type":"string","description":"Discount type.\\\nOne of: \n- `ABS`\n- `PERCENT`\n- `SHIPPING`\n- `ABS_AND_SHIPPING`\n- `PERCENT_AND_SHIPPING`\n"},"status":{"type":"string","description":"Discount coupon state.\\\nOne of:\n- `ACTIVE`\n- `PAUSED`\n- `EXPIRED`\n- `USEDUP`\n"},"discount":{"type":"number","description":"Discount value applied to the order total."},"launchDate":{"type":"string","description":"The date of coupon launch, for example, `2014-06-06 08:00:00 +0000`."},"expirationDate":{"type":"string","description":"Coupon expiration date, for example, `2014-06-06 08:00:00 +0000`."},"totalLimit":{"type":"number","description":"The minimum order subtotal the coupon applies to."},"usesLimit":{"type":"string","description":"Number of uses limitation: `UNLIMITED`, `ONCEPERCUSTOMER`, `SINGLE`."},"applicationLimit":{"type":"string","description":"Customer-based application limit for discount coupons.\\\nOne of:\n- `UNLIMITED`\n- `NEW_CUSTOMER_ONLY`\n- `REPEAT_CUSTOMER_ONLY`\n"},"creationDate":{"type":"string","description":"Discount coupon creation date."},"updateDate":{"type":"string","description":"Date of the last discount coupon update."},"orderCount":{"type":"number","description":"Amount of orders where the discount coupon was used previously."},"catalogLimit":{"$ref":"#/components/schemas/OrderDiscountCouponCatalogLimit","description":"Products and categories the coupon can be applied to"}}},"OrderDiscountCouponCatalogLimit":{"type":"object","properties":{"products":{"type":"array","items":{"type":"number"},"description":"List of product IDs the coupon can be applied to."},"categories":{"type":"array","items":{"type":"number"},"description":"List of category IDs the coupon can be applied to."}}},"OrderCustomSurcharge":{"type":"object","properties":{"id":{"type":"string","description":"Surcharge ID. If not specified default value: `Custom Surcharge`."},"value":{"type":"number","description":"Surcharge value."},"type":{"type":"string","description":"Surcharges type.\\\nOne of: \n- `PERCENT` - Surcharge applies as a percent from the product price\n- `ABSOLUTE` - Surcharge applies as a flat value\n"},"total":{"type":"number","description":"Total value of the surcharge."},"totalWithoutTax":{"type":"number","description":"Total value of the surcharge without taxes."},"description":{"type":"string","description":"Surcharge description defined by the store owner."},"descriptionTranslated":{"type":"string","description":"Available translations for the surcharge description."},"taxable":{"type":"boolean","description":"Defines if taxes apply to the surcharge."},"taxes":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemTaxes"},"description":"Details about taxes applied to the surcharge."}}},"OrderItemTaxes":{"type":"object","properties":{"name":{"type":"string","description":"Name of the tax visible to customers at the checkout and in order invoices."},"value":{"type":"number","description":"Tax value in percent."},"total":{"type":"number","description":"Tax amount applied to the product."},"taxOnDiscountedSubtotal":{"type":"number","description":"Tax applied to product price (`price`) after all discounts."},"taxOnShipping":{"type":"number","description":"Tax applied to the shipping costs of the product."},"sourceTaxRateId":{"type":"number","description":"Tax rate ID. For manual taxes the value is copied from tax ID, for all other cases the value is `0`."},"sourceTaxRateType":{"type":"string","description":"Type of tax rate.\\\nOne of: `AUTO`, `MANUAL`, `CUSTOM` (if tax is changed via API), `LEGACY`.\n"},"taxType":{"type":"string","description":"Type of detailed tax for USA.\\\nOne of: `STATE`, `COUNTY`, `CITY`, `SPECIAL_DISTRICT`\n"},"taxClassCode":{"type":"string","description":"Tax classification code applied to product."},"taxClassName":{"type":"string","description":"Name of the tax classification code applied to product. Available only in English."}}},"OrderItem":{"type":"object","properties":{"id":{"type":"number","description":"Order item ID unique for this order. Can be used to manage ordered items."},"productId":{"type":"number","description":"Internal product ID. Can be used to find full product details with the GET /products request."},"subscriptionId":{"type":"number","description":"ID of the subscription available at Ecwid admin > My Sales > Subscriptions."},"recurringChargeSettings":{"$ref":"#/components/schemas/OrderItemRecurringChargeSettings","description":"Details about subscription charge intervals."},"categoryId":{"type":"number","description":"ID of the category this product belongs to or was added from.\\\nReturns `-1` if the product was added to the cart via the Buy Now button.\n"},"price":{"type":"number","description":"Price of product in the order with all price modifier applied."},"priceWithoutTax":{"type":"number","description":"Price of product in the order without taxes."},"productPrice":{"type":"number","description":"Basic product price without any modifiers: options markups, discounts, taxes, fees."},"costPrice":{"type":"number","description":"Purchase price of the product in the specific order used for reports and profit calculations."},"weight":{"type":"number","description":"Weight of the product."},"sku":{"type":"string","description":"Product SKU. If the chosen options match a variation, this will be a variation SKU."},"quantity":{"type":"number","description":"Quantity of the product in the order."},"shortDescription":{"type":"string","description":"Product description truncated to 120 characters."},"shortDescriptionTranslated":{"$ref":"#/components/schemas/Translations","description":"Available translations for product short description."},"tax":{"type":"number","description":"Total tax applied to the product."},"shipping":{"type":"number","description":"Partial shipping costs specific to the product."},"quantityInStock":{"type":"number","description":"Number of products in stock in the store before placing the order."},"name":{"type":"string","description":"Name of the product."},"nameTranslated":{"$ref":"#/components/schemas/Translations","description":"Available translations for the product name."},"isShippingRequired":{"type":"boolean","description":"Defines if the product requires shipping."},"trackQuantity":{"type":"boolean","description":"Defines if low stock notifications to the store owner are enabled."},"imageUrl":{"type":"string","description":"Link to the main product image."},"fixedShippingRateOnly":{"type":"boolean","description":"Defines if the product has a unique fixed shipping rate.\\\nIf `true`, shipping costs won't calculate for the product and `fixedShippingRate` value will be used instead.\n"},"fixedShippingRate":{"type":"number","description":"Fixed shipping costs for the product.\\\nAffects shipping costs only if `fixedShippingRateOnly` is `true`.\n"},"couponApplied":{"type":"boolean","description":"Defines if the product has a discount coupon applied."},"selectedOptions":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemSelectedOptions"},"description":"Product options values selected by the customer at the checkout."},"taxes":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemTaxes"},"description":"Detailed information about taxes applied to the product in this order."},"combinationId":{"type":"number","description":"ID of a product variation whos options mathes with values chosen by the customer at the checkout."},"digital":{"type":"boolean","description":"Defines if the product has any downloadable files attached."},"files":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemFile"},"description":"Details about downloadable files attached to the product."},"dimensions":{"$ref":"#/components/schemas/OrderItemDimensions","description":"Details about product dimensions used for shipping costs calculations."},"couponAmount":{"type":"number","description":"Discount applied to the product from discount coupon.\\\nIf the order is manually updated after being placed, this field is not recalculated automatically.\n"},"discounts":{"type":"array","items":{"$ref":"#/components/schemas/OrderDiscounts"},"description":"Promotions applied to the specific product in the order."},"taxesOnShipping":{"type":"array","items":{"$ref":"#/components/schemas/OrderTaxesOnShipping"},"description":"Taxes applied to shipping costs for the product with the calculation formula of: `(shippingRate + handlingFee)*(taxValue/100)`\\\nIf the order is manually updated after being placed, this field is not recalculated automatically.\n"},"isCustomerSetPrice":{"type":"boolean","description":"If `true`, customer set a custom product price using the \"Pay What You Want\" feature.\\\nIn this case, both the product `price` and `selectedPrice.value` fields contain the price set by a customer.\\\nIf `false`, customer didn't choose the custom price. Therefore, the `selectedPrice.value` field will be absent and the `price` field contains default product price set by the store owner.\n"},"selectedPrice":{"type":"object","properties":{"value":{"type":"number","description":"If `isCustomerSetPrice` is `true`, this field contains the \"Pay What You Want\" price set by a customer at the checkout.\\\nExample with the PWYW price set to 100: `\"selectedPrice\": { \"value\": 100 }`\n"}}},"isPreorder":{"type":"boolean","description":"Defines if the product was pre-ordered in this order."},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemAttributes"},"description":"Details about product attributes."}}},"OrderItemRecurringChargeSettings":{"type":"object","properties":{"recurringInterval":{"type":"string","description":"Subscription charge interval.\\\nOne of: `day`, `week`, `month`, `year`.\n"},"recurringIntervalCount":{"type":"number","description":"Charge interval count that depends on the `recurringInterval`.\\\nFor example `3` - once per 3 months, if `recurringInterval` is `month.`\n"},"subscriptionPriceWithSignUpFee":{"type":"number","description":"Total product cost including the first subscription payment."},"signUpFee":{"type":"number","description":"Fees imposed on the first payment."}}},"Translations":{"type":"object","additionalProperties":{"type":"string"},"description":"Object with text field translations in the \"lang\": \"text\" format, where the \"lang\" is an ISO 639-1 language code.\\\nExample:\n```json\n{\n  \"en\": \"Sample text\",\n  \"nl\": \"Voorbeeldtekst\"\n}\n```\nTranslations are available for all active store languages. Only the default language translations are returned if no others are provided.\n"},"OrderItemSelectedOptions":{"type":"object","properties":{"name":{"type":"string","description":"Name of the product option."},"nameTranslated":{"$ref":"#/components/schemas/Translations"},"type":{"type":"string","description":"Type of the product option that defines its functionality.\\\nOne of:\n- `CHOICE` - Dropdown, radio button, or size (only one value)\n- `CHOICES` - Checkbox (multiple values)\n- `TEXT` - Text input or area\n- `DATE` - Datetime selector\n- `FILES` - Upload file option\n"},"value":{"type":"string","description":"Selected/entered value for the option as `string`.\\\nFor `CHOICES` type, provides a string with all selected values separated by a comma.\n"},"valueTranslated":{"$ref":"#/components/schemas/Translations"},"valuesArray":{"type":"array","items":{"type":"string"},"description":"Selected/entered value for the option as `array`.\\\nFor the `CHOICES` type, provides an array with all selected values.\n"},"valuesArrayTranslated":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Translations for valuesArray."},"files":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemSelectedOptionsFiles"},"description":"Detailed information about files attached to the selected option.\nAvailable only if the option type is `FILES.`\n"},"selections":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemSelectedOptionsSelections"},"description":"Details of selected product options.\\\nIf sent in \"Update order\" request, other fields will be recalculated based on information from `selections`.\n"},"hexCodes":{"type":"array","items":{"type":"string"},"description":"List of HEX codes.\\\nDefines what color must be displayed when user changes color in the `SWATCHES` option, for example: `[#fff000]`.\\\nRequires `useImageAsSwatchSelector` to be `true`.\n"}}},"OrderItemSelectedOptionsFiles":{"type":"object","properties":{"id":{"type":"number","description":"ID of the file uploaded through `FILES` type option."},"name":{"type":"string","description":"Name of the file uploaded through `FILES` type option."},"size":{"type":"number","description":"Size (in bytes) of the file uploaded through `FILES` type option."},"url":{"type":"string","description":"Download link of the file uploaded through `FILES` type option."}}},"OrderItemSelectedOptionsSelections":{"type":"object","properties":{"selectionTitle":{"type":"string","description":"Name of the selected option value."},"selectionModifier":{"type":"number","description":"Price modifier of the selected option value.\\\nValue can be negative, for example, `-10` if it decreases the product price.\n"},"selectionModifierType":{"type":"string","description":"Price modifier type.\\\nOne of: \n- `PERCENT` - Price modifier applies as a percent from the product price\n- `ABSOLUTE` - Price modifier applies as a flat value\n"}}},"OrderItemFile":{"type":"object","properties":{"productFileId":{"type":"number","description":"Internal unique file ID."},"maxDownloads":{"type":"number","description":"Maximum number of allowed file downloads.\\\nRead more on digital products in [Help Center](https://support.ecwid.com/hc/en-us/articles/207100559-Digital-products).\n"},"remainingDownloads":{"type":"number","description":"Remaining number of download attempts for the file."},"expire":{"type":"string","description":"Date/time of the customer download link expiration."},"name":{"type":"string","description":"File name visible to the customer."},"description":{"type":"string","description":"File description visible to the customer."},"size":{"type":"number","description":"File size in bytes (64-bit integer)."},"adminUrl":{"type":"string","description":"Link to the file download for the store owner.\\\n**Keep caution**: the link contains the API access token. Never share it and do not display the link in publically available code.\n"},"customerUrl":{"type":"string","description":"File download link sent to the customer after the order was paid."}}},"OrderItemDimensions":{"type":"object","properties":{"length":{"type":"number","description":"Length of a product"},"width":{"type":"number","description":"Width of a product"},"height":{"type":"number","description":"Height of a product"}}},"OrderDiscounts":{"type":"object","properties":{"discountInfo":{"$ref":"#/components/schemas/OrderDiscountInfoItem"},"total":{"type":"number","description":"Total reduction in price from this discount."}}},"OrderTaxesOnShipping":{"type":"object","properties":{"name":{"type":"string","description":"Name of the tax applied to shipping costs."},"value":{"type":"number","description":"Value of the tax applied to shipping costs."},"total":{"type":"number","description":"Total of taxes applied to shipping costs."}}},"OrderItemAttributes":{"type":"object","properties":{"name":{"type":"string","description":"Name of the product attribute."},"value":{"type":"string","description":"Attribute value."}}},"OrderRefunds":{"type":"object","properties":{"date":{"type":"string","description":"The datetime of a refund, for example, `2014-06-06 18:57:19 +0000`"},"source":{"type":"string","description":"What action triggered refund.\\\nOne of:\n- `CP` - changed by the store owner in Ecwid admin\n- `API` - changed by an app through API\n- `External` - refund made from payment processor website\n"},"reason":{"type":"string","description":"A text reason for a refund. 256 characters max."},"amount":{"type":"number","description":"Amount of this specific refund (not total amount refunded for order. see `redundedAmount` field)"}}},"OrderPerson":{"type":"object","properties":{"name":{"type":"string","description":"Full name of the customer."},"companyName":{"type":"string","description":"Customer's company name."},"street":{"type":"string","description":"Address line 1 and address line 2, separated by `\\n`."},"city":{"type":"string","description":"City."},"countryCode":{"type":"string","description":"Two-letter country code."},"countryName":{"type":"string","description":"Country name."},"postalCode":{"type":"string","description":"Postal/ZIP code."},"stateOrProvinceCode":{"type":"string","description":"State/province code, for example, `NY`."},"stateOrProvinceName":{"type":"string","description":"State/province name."},"phone":{"type":"string","description":"Customer's phone number."}}},"OrderShippingOption":{"type":"object","properties":{"shippingCarrierName":{"type":"string","description":"If an order is fulfilled with a native shipping carrier integration or a shipping app, this field holds carrier's name."},"shippingMethodName":{"type":"string","description":"Name of the shipping option visible at the checkout."},"shippingMethodId":{"type":"string","description":"Internal shipping method ID."},"shippingRate":{"type":"number","description":"Shipping rate for the order."},"shippingRateWithoutTax":{"type":"number","description":"Shipping rate without taxes."},"estimatedTransitTime":{"oneOf":[{"type":"number"},{"type":"string"}],"description":"Delivery time estimation.\\\nDepending on the store settings it can be a number, for example, `5` or a string – `4-9 days`.\\\nThe string value is equal to the `description` field in the `Get shipping options` request.\n"},"isPickup":{"type":"boolean","description":"Defines if this is a store pickup method."},"pickupInstruction":{"type":"string","description":"Instructions for customer on how to pickup the order."},"fulfillmentType":{"type":"string","description":"Shipping type.\\\nOne of:\n- `shipping`\n- `pickup`\n- `deliver`\n"},"timeSlotLengthInMinutes":{"type":"number","description":"Length of the delivery time slot in minutes."}}},"OrderHandlingFee":{"type":"object","properties":{"name":{"type":"string","description":"Handling fee name set by store admin, for example, `Wrapping`."},"value":{"type":"number","description":"Handling fee flat value."},"description":{"type":"string","description":"Handling fee's description for customers."}}},"OrderPredictedPackages":{"type":"object","properties":{"height":{"type":"number","description":"Height of a predicted package."},"width":{"type":"number","description":"Width of a predicted package."},"length":{"type":"number","description":"Length of a predicted package."},"weight":{"type":"number","description":"Total weight of a predicted package."},"declaredValue":{"type":"number","description":"Declared value of a predicted package (subtotal of items in package)."}}},"OrderShipments":{"type":"object","properties":{"id":{"type":"string","description":"ID of the purchased shipping label."},"created":{"type":"string","format":"date-time","description":"The date/time of shipping label purchase, for example, `2020-04-23 19:13:43 +0000`."},"shipTo":{"$ref":"#/components/schemas/OrderPerson","description":"Name and address of the person entered in shipping information."},"shipFrom":{"$ref":"#/components/schemas/OrderPerson","description":"Shipping origin address. If matches company address, company address is returned."},"parcel":{"$ref":"#/components/schemas/OrderShipmentsParcel","description":"Information about the selected package to ship items to customer."},"shippingService":{"$ref":"#/components/schemas/OrderShipmentsShippingService","description":"Selected shipping service."},"tracking":{"$ref":"#/components/schemas/OrderShipmentsTracking","description":"Tracking details provided by shipping service."},"shippingLabel":{"$ref":"#/components/schemas/OrderShipmentsShippingLabel","description":"Shipping label details."}}},"OrderShipmentsParcel":{"type":"object","properties":{"weight":{"type":"number","description":"Total weight of the labeled package."},"weightUnit":{"type":"string","description":"Weight unit of the package.\\\nOne of: `CARAT`, `GRAM`, `OUNCE`, `POUND`, `KILOGRAM`.\n"},"width":{"type":"number","description":"Width of the labeled package."},"height":{"type":"number","description":"Height of the labeled package."},"length":{"type":"number","description":"Length of the labeled package."},"dimensionUnit":{"type":"string","description":"Dimension unit of the package.\\\nOne of: `MM`, `CM`, `IN`, `YD`\n"}}},"OrderShipmentsShippingService":{"type":"object","properties":{"carrier":{"type":"string","description":"Carrier used for shipping the order. Available only for integrations built by Ecwid team.\\\nOne of: `USPS`, `UPS`, `FEDEX`, `CANADA_POST`, `AUSTRALIA_POST`.\n"},"carrierName":{"type":"string","description":"Name of shipping option in store settings."},"carrierServiceName":{"type":"string","description":"Specific carrier's name visible at the checkout."},"carrierServiceCode":{"type":"string","description":"Internal carrier code."}}},"OrderShipmentsTracking":{"type":"object","properties":{"tracking_number":{"type":"string","description":"Tracking number provided by the shipping service."},"tracking_url":{"type":"string","description":"Link to the delivery tracking page."},"estimatedDays":{"type":"number","description":"Estimated delivery time in days."}}},"OrderShipmentsShippingLabel":{"type":"object","properties":{"label_url":{"type":"string","description":"Link for download shipping label."}}},"OrderExtraFields":{"type":"object","additionalProperties":{"type":"string"},"description":"Key-value map of custom extra fields submitted during checkout.  Keys are field IDs and values are submitted strings/selected choices.\n"},"OrderOrderExtraFields":{"type":"object","properties":{"id":{"type":"string","description":"Internal ID defined for the checkout extra field."},"value":{"type":"string","description":"Extra field value. Length cannot exceed 255 characters."},"customerInputType":{"type":"string","description":"One of: `TEXT`, `SELECT`, `DATETIME`."},"title":{"type":"string","description":"Extra field title visible at the checkout."},"orderDetailsDisplaySection":{"type":"string","description":"Defines a place where the field is visible to the store admin on the order details page. Empty if the field is hidden.\\\nOne of:\n- `shipping_info`\n- `billing_info`\n- `customer_info`\n- `order_comments`\n"},"orderBy":{"type":"string","description":"Extra field position. Use it to sort fields within the same `orderDetailsDisplaySection`"}}},"OrderCreditCardStatus":{"type":"object","properties":{"avsMessage":{"type":"string","description":"Address verification status returned by the payment system."},"cvvMessage":{"type":"string","description":"Credit card verification status returned by the payment system."}}},"OrderInvoice":{"type":"object","properties":{"internalId":{"type":"number","description":"Internal ID of the order invoice."},"id":{"type":"string","description":"Public ID showed in the invoice."},"created":{"type":"string","description":"Datetime of invoice creation in UTC +0."},"link":{"type":"string","description":"Download link for the invoice in PDF format."},"type":{"type":"string","description":"Invoice type.\\ \nOne of: `SALE` (regular invoice), `FULL_CANCEL` (full refund invoice).\n"}}},"OrderUtmData":{"type":"object","properties":{"source":{"type":"string","description":"Traffic source that indicates where the customer come from."},"campaign":{"type":"string","description":"Saves the name of the advertising campaign if there is one."},"medium":{"type":"string","description":"Type of traffic that indicates customers reach the website."}}},"OrderUtmDataSets":{"type":"object","properties":{"timestamp":{"type":"string","description":"Datetime of saving UTM data into the local browser storage."},"source":{"type":"string","description":"Traffic source that indicates where the customer come from."},"campaign":{"type":"string","description":"Saves the name of the advertising campaign if there is one."},"medium":{"type":"string","description":"Type of traffic that indicates customers reach the website."}}},"OrderExternalOrderData":{"type":"object","properties":{"externalOrderId":{"type":"string","description":"Order ID from the external platform."},"externalFulfillment":{"type":"boolean","description":"Defines if the order uses external fulfillment."},"refererChannel":{"type":"string","description":"Channel where the order is referred from."},"refererId":{"type":"string","description":"Unique referrer ID for the order."},"platformSpecificFields":{"type":"string","description":"Stringified map with external fields in the \"key:value\" format."}}}}},"paths":{"/orders/{orderId}":{"get":{"summary":"Get order","description":"Retrieve detailed information about a specific order by its ID.","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique order identifier. Can be either:\n- Internal numeric order ID (e.g. `492512057`)\n- Public order ID (e.g. `EBJFT`)\n"},{"name":"responseFields","in":"query","schema":{"type":"string"},"description":"Specify the exact fields to include in the response. If not specified, all fields are returned.\\\nExample: `?responseFields=id,email,total`\n"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetOrderResponse"}}}}}}}}}
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ecwid.com/api-reference/openapi/orders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
